Topik tingkat lanjut
Balik |  | Lanjut

## Topik tingkat lanjut

### Opsi Baris Perintah

Ketika Terminal dijalankan dari baris perintah atau dari peluncur panel, beberapa opsi dapat ditentukan untuk memodifikasi perilakunya.

`--help`

  Tampilkan berbagai opsi baris perintah yang didukung oleh Terminal lalu keluar

`--version`

  Tampilkan informasi versi dan keluar

`--disable-server`

  Jangan daftarkan dengan bus pesan sesi D-BUS

`--execute` `...`

  Eksekusi pengingat baris perintah di dalam terminal

`--command` `perintah`

  Eksekusi `perintah` di dalam terminal

`--working-directory` `direktori`

  Atur `direktori` sebagai direktori kerja untuk terminal

`--title` `judul`

  Atur `judul` sebagai judul jendela utama untuk terminal

`--hold`

  Menyebabkan terminal tetap terbuka ketika perintah anak telah dimatikan

`--display` `tampilan`

  Buka jendela terminal pada layar X yang ditentukan oleh `tampilan`.

`--geometry` `geometri`

  Atur geometri dari jendela yang ditentukan terakhir ke `geometri`. Baca `man `X`` untuk informasi lebih lanjut tentang bagaimana menentukan geometri jendela.

`--role` `peran`

  Atur peran jendela dari jendela yang ditentukan terakhir ke `peran`. Berlaku hanya untuk satu jendela dan dapat ditentukan sekali untuk tiap jendela yang anda buat dari baris perintah. Hal ini seringkali digunakan untuk manajemen sesi di dalam Terminal.

`--startup-id` `id`

  Tentukan id notifikasi hidupkan untuk jendela yang ditentukan terakhir. Gunakan secara internal untuk meneruskan id notifikasi hidupkan ketika menggunakan layanan D-BUS.

`--fullscreen`

  Atur jendela yang ditentukan terakhir ke dalam mode layar penuh; berlaku hanya untuk satu jendela; dapat ditentukan sekali untuk tiap jendela yang anda buat dari baris perintah.

`--maximize`

  Atur jendela yang ditentukan terakhir ke dalam mode dimaksimalkan; berlaku hanya untuk satu jendela; dapat ditentukan sekali untuk tiap jendela yang anda buat dari baris perintah.

`--show-menubar`

  Nyalakan batang menu untuk jendela yang ditentukan terakhir. Dapat ditentukan sekali untuk tiap jendela yang anda buat dari baris perintah.

`--hide-menubar`

  Matikan batang menu untuk jendela yang ditentukan terakhir. Dapat ditentukan sekali untuk tiap jendela yang anda buat dari baris perintah.

`--show-borders`

  Nyalakan dekorasi jendela untuk jendela yang ditentukan terakhir. Berlaku hanya untuk satu jendela. Dapat ditentukan sekali untuk tiap jendela yang anda buat dari baris perintah.

`--hide-borders`

  Matikan dekorasi jendela untuk jendela yang ditentukan terakhir. Berlaku hanya untuk satu jendela. Dapat ditentukan sekali untuk tiap jendela yang anda buat dari baris perintah.

`--show-toolbars`

  Nyalakan batang alat untuk jendela yang ditentukan terakhir. Berlaku hanya untuk satu jendela. Dapat ditentukan sekali untuk tiap jendela yang anda buat dari baris perintah.

`--hide-toolbars`

  Matikan batang alat untuk jendela yang ditentukan terakhir. Berlaku hanya untuk satu jendela. Dapat ditentukan sekali untuk tiap jendela yang anda buat dari baris perintah.

`--tab`

  Buka tab baru di jendela yang ditentukan terakhir. Lebih dari satu opsi seperti ini dapat diberikan.

`--window`

  Buka jendela baru yang berisi satu tab. Lebih dari satu opsi seperti ini dapat diberikan.

Misalnya, katakanlah anda ingin membuka jendela terminal baru dengan dua tab di dalamnya, dimana tab pertama akan menjalankan mutt dan tab kedua akan menjalankan mc, dan jendela akan memiliki 80 kolom dan 40 baris, maka anda perlu menggunakan perintah berikut ketika menjalankan Terminal:

    Terminal --geometry 80x40 --command mutt --tab --command mc

### Variabel Berkas dan Lingkungan

Terminal menggunakan Spesifikasi Basedir seperti dijelaskan dalam Freedesktop.org untuk mencari berkas data dan konfigurasinya. Ini berarti bahwa lokasi berkas dapat ditentukan sebagai alamat yang relatif terhadap direktori yang dijelaskan dalam spesifikasi.

`${XDG_CONFIG_HOME}`

  Direktori awal pertama untuk mencari berkas konfigurasi. Standarnya ini diatur ke `~/.config/`.

`${XDG_CONFIG_DIRS}`

  Tanda titik dua memisahkan senarai direktori dasar yang berisi data konfigurasi. Standarnya aplikasi akan mencari di `${sysconfdir}/xdg/`. Nilai `${sysconfdir}` tergantung pada bagaimana program dibangun dan akan sering menjadi `/etc/` untuk paket biner.

`${XDG_DATA_HOME}`

  Akar untuk semua berkas data khusus pengguna. Pada keadaan standar diatur ke `~/.local/share/`.

`${XDG_DATA_DIRS}`

  Seperangkat pengaturan yang diurutkan secara relatif terhadap direktori dasar sebagai tempat berkas data akan dicari sebagai tambahan untuk direktori dasar `${XDG_DATA_HOME}`. Direktori-direktori harus dipisahkan oleh tanda titik dua.

`${XDG_CONFIG_DIRS}/Terminal/terminalrc`

  Ini adalah lokasi berkas konfigurasi yang termasuk pengaturan yang mengontrol tampilan dan rasa Terminal.

`${XDG_DATA_DIRS}/Terminal/Terminal-toolbars.ui`

  Berkas ini menyertakan definisi antarmuka penggna untuk batang alat. Jika anda menyesuaikan batang alat dengan memakai penyunting batang alat grafis, Terminal akan menyimpan tata letak batang alat baru di berkas `${XDG_DATA_HOME}/Terminal/Terminal-toolbars.ui`.

### Opsi tersembunyi

Terminal menawarkan beberapa opsi tersembunyi yang memungkinkan pengguna untuk mengontrol beragam pengaturan mahir dan mengurangi jumlah opsi di antarmuka pengguna. Untuk mengatur opsi ini, anda harus membuka berkas `${XDG_CONFIG_HOME}/Terminal/terminalrc` di penyunting berkas favorit anda dan sunting bagian `[Configuration]`; cukup buat berkas tersebut bila belum ada. Misalnya, berkas `terminalrc` dapat berisi

    [Configuration]
    MiscAlwaysShowTabs=TRUE
    MiscBell=TRUE
    MiscConfirmClose=FALSE
    MiscCursorBlinks=TRUE
    MiscCursorShape=TERMINAL_CURSOR_SHAPE_BLOCK
    MiscCycleTabs=FALSE
    MiscInheritGeometry=TRUE
    MiscMouseAutohide=FALSE
    MiscTabCloseButtons=TRUE
    MiscTabCloseMiddleClick=TRUE
    MiscTabPosition=GTK_POS_TOP
    MiscHighlightUrls=TRUE

ditambah semua opsi yang dikendalikan melalui dialog pengaturan.

`MiscAlwaysShowTabs`

  Jika `TRUE` tajuk tab akan selalu ditampilkan bahkan jika hanya satu tab terminal yang terbuka. Opsi ini berguna jika anda tidak ingin jendela terminal berubah ukuran ketika anda membuka tab kedua. Hal ini dinonaktifkan pada standarnya.

`MiscBell`

  Aktifkan (`MiscBell=TRUE`) atau nonaktifkan (`MiscBell=FALSE`) bel terminal bersuara. Hal ini dinonaktifkan pada standarnya.

`MiscConfirmClose`

  Mengontrol apakah Terminal memunculkan dialog konfirmasi ketika pengguna mencoba untuk menutup jendela terminal dengan banyak tab di dalamnya. Dapat diatur `TRUE` (standarnya) atau `FALSE`.

`MiscCursorBlinks`

  Aktifkan opsi ini untuk menampilkan kursor yang berkedip. Dapat diatur `TRUE` atau `FALSE` (standarnya).

`MiscCursorShape`

  Tentukan bentuk kursor di terminal. Ini dapat berupa `TERMINAL_CURSOR_SHAPE_BLOCK` (standarnya), `TERMINAL_CURSOR_SHAPE_IBEAM` atau `TERMINAL_CURSOR_SHAPE_UNDERLINE`. Opsi ini hanya tersedia jika anda mengompilasinya pada VTE 0.19.1 atau versi lebih baru.

`MiscCycleTabs`

  Opsi ini mengontrol apakah anda dapat bersirkulasi antar tab terminal. Yaitu, apabila anda dapat berpindah dari tab terakhir ke tab pertama menggunakan tombol Tab Berikutnya dari menu Go (atau jalan pintas papan ketik yang ditentukan), dan dari tab pertama ke tab terakhir dengan menggunakan tombol Tab Sebelumnya dari menu Ke. Opsi ini dapat diatur `TRUE` (standarnya) atau `FALSE`.

`MiscDefaultGeometry`

  Geometri standar untuk jendela Terminal baru jika tidak ada opsi `--geometry` yang ditentukan di baris perintah (standarnya `80x24`).

`MiscInheritGeometry`

  Pengaturan ini mengontrol apakah jendela baru akan mewarisi geometri (lebar dan tinggi tab yang aktif) dari jendela induknya (jendela dari jendela baru dibuka). Dapat diatur `TRUE` atau `FALSE` (standarnya).

`MiscMouseAutohide`

  Pengaturan ini mengontrol apakah Terminal akan menyembunyikan kursor tetikus ketika anda mengetik di dalam jendela terminal. Dapat diatur `TRUE` atau `FALSE` (standarnya).

`MiscTabCloseButtons`

  Pengaturan ini mengontrol apakah Terminal menyediakan tombol tutup dengan judul tab terminal. Dapat diatur `TRUE` (standarnya) atau `FALSE`.

`MiscTabCloseMiddleClick`

  Pengaturan ini mengontrol apakah Terminal akan menutup tab terminal jika pengguna menekan klik tengah pada judul tab. Dapat diatur `TRUE` (standarnya) atau `FALSE.`

`MiscTabPosition`

  Tentukan posisi dimana tajuk tab harus ditampilkan. Ini dapat diatur `GTK_POS_TOP` (standarnya), `GTK_POS_LEFT`, `GTK_POS_BOTTOM` atau `GTK_POS_RIGHT`. Jika anda menentukan `GTK_POS_LEFT` atau `GTK_POS_RIGHT` di sini, teks tajuk tab akan ditampilkan secara vertikal dan bukan secara horizontal. Sangat disarankan untuk menonaktifkan `MiscTabCloseButtons` untuk `GTK_POS_LEFT` and `GTK_POS_RIGHT`.

`MiscHighlightUrls`

  Pengaturan ini mengontrol apakah URL - baik hipertaut dan alamat email - akan disorot dalam teks yang ditampilkan di jendela terminal. Jika anda mengubah opsi ini menjadi `FALSE`, URL tidak akan disorot lagi dan anda tidak akan dapat lagi klik tengah URL untuk membukanya dalam aplikasi kesukaan.

Balik |  | Lanjut
Pengaturan | Depan | Pertanyaan acapkali diajukan